

<app-post-list></app-post-list>
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" (click)="showModal=true" data-toggle="modal" data-target="#createModal">
  Add new post
</button>

<!-- Modal -->
<div class="modal fade" id="createModal" [ngClass]="{'show':showModal}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Post</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div [formGroup]="postForm">



        <div class="form-group">
            <label for="title">Post Title</label>
            <input type="text" class="form-control"
                   name="title"
                   id="title"
                   formControlName="title">

          </div>


          <div class="form-group">
            <label for="description">Description</label>
            <input type="text" class="form-control"
                   name="description"
                   id="description"
                   formControlName="description">

          </div>


          <div class="form-group">
            <label for="content">Content</label>

            <textarea rows="4" cols="50" type="text" class="form-control"
                   name="content"
                   id="content"
                   formControlName="content">
            </textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" (click)="savePost()"  class="btn btn-primary" [disabled]="!postForm.valid">Save changes</button>
      </div>
    </div>
  </div>

</div>

